> ## Documentation Index
> Fetch the complete documentation index at: https://api-reference.hyperswitch.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Invalidate contract information for an entity

> Invalidates the contract for a given entity identifier



## OpenAPI

````yaml post /contract_routing.ContractScoreCalculator/InvalidateContract
openapi: 3.0.0
info:
  title: Dynamic routing - OpenAPI 3.0
  description: This the the open API 3.0 specification for the dynamic routing.
  version: 1.0.0
servers: []
security: []
paths:
  /contract_routing.ContractScoreCalculator/InvalidateContract:
    post:
      tags:
        - Contract Routing
      summary: Invalidate contract information for an entity
      description: Invalidates the contract for a given entity identifier
      operationId: invalidateContract
      parameters:
        - name: x-tenant-id
          in: header
          required: true
          schema:
            type: string
          example: public
        - name: x-profile-id
          in: header
          required: true
          schema:
            type: string
          example: pro_WX0giXQnzk2wQJjkKVBX
        - name: x-api-key
          in: header
          required: true
          schema:
            type: string
          example: dev_VLzQTxkPq3ALj2mlfiHL4mMtXca4uplOIOLaKEzmWAmNBXZjwsuv5bCLjnf0QYHm
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/InvalidateContractRequest'
            example:
              id: merchant1
      responses:
        '200':
          description: Contract invalidation succeeded
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/InvalidateContractResponse'
        '400':
          description: Invalid request parameters
        '500':
          description: Internal server error
components:
  schemas:
    InvalidateContractRequest:
      type: object
      properties:
        id:
          type: string
          description: Entity identifier to invalidate
          example: merchant1
      required:
        - id
    InvalidateContractResponse:
      type: object
      properties:
        status:
          type: string
          enum:
            - CONTRACT_INVALIDATION_SUCCEEDED
            - CONTRACT_INVALIDATION_FAILED
          description: Status of the invalidation operation
      required:
        - status

````